Bullet Collision Detection & Physics Library: btConeTwistConstraintData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btConeTwistConstraintData Struct Reference

this structure is not used, except for loading pre-2.82 .bullet files More...

`#include <btConeTwistConstraint.h>`

Collaboration diagram for btConeTwistConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
float | m_swingSpan1
float | m_swingSpan2
float | m_twistSpan
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor
float | m_damping
char | m_pad [4]

## Detailed Description

this structure is not used, except for loading pre-2.82 .bullet files

Definition at line 377 of file btConeTwistConstraint.h.

## Member Data Documentation

## ◆ m_biasFactor

float btConeTwistConstraintData::m_biasFactor

Definition at line 388 of file btConeTwistConstraint.h.

## ◆ m_damping

float btConeTwistConstraintData::m_damping

Definition at line 391 of file btConeTwistConstraint.h.

## ◆ m_limitSoftness

float btConeTwistConstraintData::m_limitSoftness

Definition at line 387 of file btConeTwistConstraint.h.

## ◆ m_pad

char btConeTwistConstraintData::m_pad[4]

Definition at line 393 of file btConeTwistConstraint.h.

## ◆ m_rbAFrame

btTransformFloatData btConeTwistConstraintData::m_rbAFrame

Definition at line 380 of file btConeTwistConstraint.h.

## ◆ m_rbBFrame

btTransformFloatData btConeTwistConstraintData::m_rbBFrame

Definition at line 381 of file btConeTwistConstraint.h.

## ◆ m_relaxationFactor

float btConeTwistConstraintData::m_relaxationFactor

Definition at line 389 of file btConeTwistConstraint.h.

## ◆ m_swingSpan1

float btConeTwistConstraintData::m_swingSpan1

Definition at line 384 of file btConeTwistConstraint.h.

## ◆ m_swingSpan2

float btConeTwistConstraintData::m_swingSpan2

Definition at line 385 of file btConeTwistConstraint.h.

## ◆ m_twistSpan

float btConeTwistConstraintData::m_twistSpan

Definition at line 386 of file btConeTwistConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btConeTwistConstraintData::m_typeConstraintData

Definition at line 379 of file btConeTwistConstraint.h.

The documentation for this struct was generated from the following file:

- btConeTwistConstraint.h